aoecfg(8)

NAME
aoecfg - manipulate AoE configuration strings

SYNOPSIS
aoecfg [-c cmd] [-s cfgstr] [-t timeout] [shelf slot] [netif]

DESCRIPTION
Aoecfg(8) sends AoE configuration commands that control the retrivial, conditional or unconditional setting of AoE configuration strings. Since configuration happens before the MAC address of the target is known, the packet is broadcast. AoE targets with a matching shelf and slot respond. Since the default shelf and slot are the wildcard values 0xffff and 0xff, with no arguments aoecfg(8) will return configuration strings from all targets visible on the default interface, eth0.

OPTIONS

-c cmd
    specify the AoE configuration command. The default is read. The available commands are

read Read the server config string without performing any test and respond.

test Respond only if the specified string exactly matches the server configuration string.

prefix Respond only if the specified string is a prefix of the server configuration string.

set If the current server config string is empty, set the server config string to the argument string and respond. If the current server config string is not empty, return a response with Flags bit E set and Error set to 4.

fset Force set the server config string to the argument string and respond.

-s cfgstr
    specify the config string.

-t timeout
    specify the timeout in seconds. The default is no timeout. If neither the shelf nor the slot are specified, aoecfg(8) will exit after the first result. Otherwise, aoecfg(8) will exit only after the timeout has expired since it does not know how many responses to expect.

shelf slot
    specify the shelf and slot used in the query. If unspecified, they default to broadcast.

netif
    specifiy the network interface. The default is eth0.

SEE ALSO
aoe-discover(8), aoe-interfaces(8), aoe-mkdevs(8), aoe-mkshelf(8), aoe-stat(8), aoeping(8), AoE (ATA over Ethernet): http://support.coraid.com/documents/AoEr10.txt, ATA specification

AUTHOR
Erik Quanstrom (quanstro@coraid.com)